Bug 858167 - Guvnor: Business Rule - Modal alert, which requires halt the script, occurs when enumeration is defined in DSL
Guvnor: Business Rule - Modal alert, which requires halt the script, occurs w...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: BRMS 5.3.1 GA
Assigned To: manstis
Sona Mala
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 04:44 EDT by Sona Mala
Modified: 2014-10-26 21:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previous program logic error occurred when enumeration was defined for a DSL key; this issue caused Java Script prevention due to an infinite loop. Corrected program logic now allows enumeration values to be defined for DSL keys.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Repository with enumeration, model and DSL definitions (2.79 KB, application/zip)
2012-09-18 04:44 EDT, Sona Mala
no flags Details

  None (edit)
Description Sona Mala 2012-09-18 04:44:07 EDT
Created attachment 613900 [details]
Repository with enumeration, model and DSL definitions

Description of problem:


Version-Release number of selected component (if applicable):
BRMS 5.3.1 ER1

How reproducible:
Every time

Steps to Reproduce:
1. Create simple enumeration ('Person.sex': ['male','female'])
2. Create declarative model (Person: String sex; Integer age)
3. Create DSL ([when]Person which sex is {v:ENUM:Person.sex} = p:Person(sex=="{v}"))
4. Create new business rule
5.   - click on icon "Add condition to this rule"
6.   - select "Person which sex is {v}"
7.   - confirm dialog (click OK)
  
Actual results:
There is a modal alert which has two options "halt the script" and "wait more time".
If I click on option "wait more time" then the alert occurs again (try 5 times)

Expected results:
No alert occurs. Just show DSL sentence in business rule.


Additional info:
A repository with assets from step 1 to step 3 is attached.
Comment 1 manstis 2012-09-19 04:25:05 EDT
Simple fix, so completed (before this becomes a blocker).
Comment 4 Sona Mala 2012-10-05 08:19:33 EDT
Verified for BRMS 5.3.1 ER2 and designer 2.3.1-DEV
Comment 5 Douglas Hoffman 2012-10-17 23:35:49 EDT
Updated text for the Release Notes.

Thanks for the Doc Text information.

- Doug

Note You need to log in before you can comment on or make changes to this bug.